# std::_Array< _Tp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_Array< _Tp >

Definition at line 415 of file valarray_array.h.

## Public Member Functions

- _Array (const _Tp *__restrict__, size_t)
- _Array (const valarray< _Tp > &)
- _Array (_Tp *const __restrict__)
- _Array (size_t)
- _Tp * begin () const

## Public Attributes

- _Tp *const __restrict__ _M_data

The documentation for this struct was generated from the following file:

- valarray_array.h